@charset "utf-8";
/* CSS for Image Zoom */

/* 
Sources:

*/

.modal {
	display:none;
	position:fixed;
	z-index:1;
	padding-top:4rem;
	left:0;
	top:0;
	width:100%;
	height:100%;
	overflow:auto;
	background-color:rgb(68,68,68);/* Fallback */
	background-color:rgba(68,68,68,0.92);
}

.modal-content {
	margin:2.75em auto;
	display:block;
	width:96%;
	max-width:3840px; /* 1280px */
	overflow:visible;
}
#zoomCaption {
	margin:0.25em auto;
	display:block;
	width:96%;
	max-width:1280px;
	text-align:left;
	font-size:1.2rem;
	line-height:1.5;
	color:#fcfcfc;
	padding:0.5em 0;
	height:20em;
}
.modal-content, 
#zoomCaption {
	-webkit-animation-name:zoom;
	-webkit-animation-duration:0.6s;
	animation-name:zoom;
	animation-duration:0.6s;
}
@-webkit-keyframes zoom {
	from {
		-webkit-transform:scale(0);
		transform:scale(0);
	} to {
		-webkit-transform:scale(1);
		transform:scale(1);
	}
}
@keyframes zoom {
	from {
		transform:scale(0.1);
	} to {
		transform:scale(1);
	}
}
button.zoomClose {
	margin:2px;
	position:absolute;
	top:10px;
	right:40px;
	z-index:2;
	padding:0.25em 0.5em;
	vertical-align:middle;
	text-decoration:none;
	background-color:#444;
	color:#ccc;
	border:1px solid #ccc;
	border-radius:0.1em;
	outline:1px solid #ccc;
	font-size:2.2rem;
	font-weight:normal;
	transition:0.2s;
}
button.zoomClose:focus,
button.zoomClose:hover,
button.zoomClose:active {
	color:#fcfcfc;
	border:1px solid #fcfcfc;
	outline:2px solid #fcfcfc;
	cursor:pointer;
}

